package com.bsmlab.dfx.agent.support.exception;

public class DfxException extends Exception {
    protected String additionalMessage;

    public DfxException(String additionalMessage) {
        this.additionalMessage = additionalMessage;
    }

    @Override
    public String getMessage() {
        return "cannot find message contents. " + this.additionalMessage;
    }

    @Override
    public String getLocalizedMessage() {
        return "파싱한 메시지의 내용을 찾을 수 없습니다. " + this.additionalMessage;
    }
}
